> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kosli.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.kosli.com/feedback

```json
{
  "path": "/api-reference/artifacts/get-artifact-audit-package",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get artifact audit package

> Get audit package for an artifact.



## OpenAPI

````yaml https://app.kosli.com/api/v2/openapi.json get /artifacts/{org}/{flow_name}/{fingerprint}/audit_package
openapi: 3.1.0
info:
  title: Kosli API
  summary: The API for communicating with Kosli
  description: >

    # Authentication 


    When making requests against Kosli API, you can authenticate your requests
    using a bearer token. 

    Set the bearer token in the request Authorization header to a valid API
    key. 

    API Keys can be personal or for service accounts. Check the [service
    accounts
    documentation](https://docs.kosli.com/getting_started/service-accounts/) for
    details. 


    ## Curl example


    ```shell

    curl -H "Authorization: Bearer <<your-api-key>>"
    https://app.kosli.com/api/v2/environments/<<your-org-name>>

    ```
  version: '2.0'
servers:
  - url: https://app.kosli.com/api/v2
    description: EU
  - url: https://app.us.kosli.com/api/v2
    description: US
security:
  - HTTPBearer: []
paths:
  /artifacts/{org}/{flow_name}/{fingerprint}/audit_package:
    get:
      tags:
        - Artifacts
      summary: Get artifact audit package
      description: Get audit package for an artifact.
      operationId: >-
        get_audit_package_artifacts__org___flow_name___fingerprint__audit_package_get
      parameters:
        - name: flow_name
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-zA-Z0-9][a-zA-Z0-9\.\-_~]*$
            title: Flow Name
        - name: fingerprint
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-f0-9]{64}$
            title: Fingerprint
        - name: org
          in: path
          required: true
          schema:
            type: string
            title: Org
      responses:
        '200':
          description: Successful Response
          headers:
            Content-Encoding:
              description: gzip
              schema:
                type: string
            Content-Type:
              description: application/octet-stream
              schema:
                type: string
        '404':
          description: Flow Not Found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/fastapi_app__errors__NotFoundResponse___locals___NotFoundResponseModel__15
      security:
        - HTTPBearer: []
        - HTTPBasic: []
components:
  schemas:
    fastapi_app__errors__NotFoundResponse___locals___NotFoundResponseModel__15:
      properties:
        message:
          type: string
          title: Message
          description: Error message
        errors:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Errors
          description: Validation errors by field
      type: object
      required:
        - message
      title: NotFoundResponseModel
      description: Flow not found
      examples:
        - message: Flow not found
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````